summaryrefslogtreecommitdiff
path: root/utils.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils.sh')
-rwxr-xr-xutils.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/utils.sh b/utils.sh
index 880028c..0bc7801 100755
--- a/utils.sh
+++ b/utils.sh
@@ -2,11 +2,10 @@
check_dest()
{
- if ! [ -d "$OT_PREFIX" ]; then
- if ! mkdir -p "$OT_PREFIX"; then
- echo "Could not create target directory '$OT_PREFIX'! Aborting..."
- exit 1
- fi
+ [ -d "$OT_PREFIX/tmp" ] || mkdir -p "$OT_PREFIX/tmp"
+ if ! [ -d "$OT_PREFIX/tmp" ]; then
+ echo "Could not create target directory! Aborting..."
+ exit 1
fi
}
@@ -37,5 +36,5 @@ abs_path()
. "`pwd`/config.sh"
touch "$OT_UI_CONF"
-. "$OT_UI_CONF"
+. "$OT_UI_CONF" 2>/dev/null
check_dest